unit UOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFOptions = class(TForm)
    GroupBox2: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    EDAbsX: TEdit;
    EDRelX: TEdit;
    Label5: TLabel;
    EDF: TEdit;
    Button1: TButton;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FOptions: TFOptions;

implementation

uses Equ1;

{$R *.DFM}

procedure TFOptions.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
// Пересылка значений погрешностей в переменные модуля Equ1
begin
  try
   DAbsX := Abs(StrToFloat(EDAbsX.Text));
   DRelX := Abs(StrToFloat(EDRelX.Text));
   DF := Abs(StrToFloat(EDF.Text));
  except
   Application.MessageBox(
        'Неверный формат чисел',
        'Исправьте ошибку',MB_OK+MB_ICONSTOP);
   CanClose := false;
   exit;
  end;
  if (DAbsX = 0) and (DRelX = 0) and (DF = 0)
    then begin
     Application.MessageBox(
        'Не задана информация о погрешностях',
        'Задайте информацию',MB_OK+MB_ICONSTOP);
     CanClose := false;
    end;
end;

end.
